Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonProduct

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonProduct

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MegafonProduct extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonProduct()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getNpayServiceId()`
  `int`
  `getOptionKitId()`
  `int`
  `getPrice()`
  `String`
  `getProductOfferingId()`
  `int`
  `getTariffLabelId()`
  `void`
  `setNpayServiceId(int npayServiceId)`
  `void`
  `setOptionKitId(int optionKitId)`
  `void`
  `setPrice(int price)`
  `void`
  `setProductOfferingId(String productOfferingId)`
  `void`
  `setTariffLabelId(int tariffLabelId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### MegafonProduct

    public MegafonProduct()

- ## Method Details

  - ### getProductOfferingId

    public String getProductOfferingId()

  - ### setProductOfferingId

    public void setProductOfferingId(String productOfferingId)

  - ### setOptionKitId

    public void setOptionKitId(int optionKitId)

  - ### getOptionKitId

    public int getOptionKitId()

  - ### getNpayServiceId

    public int getNpayServiceId()

  - ### setNpayServiceId

    public void setNpayServiceId(int npayServiceId)

  - ### getPrice

    public int getPrice()

  - ### setPrice

    public void setPrice(int price)

  - ### getTariffLabelId

    public int getTariffLabelId()

  - ### setTariffLabelId

    public void setTariffLabelId(int tariffLabelId)